﻿@model PagedList.IPagedList<SYM.DataAccessLayer.mntn_mountaingroup>
@using PagedList.Mvc;

@{
    ViewBag.Title = "Mountain Group";
    ViewBag.Page = "Mountain Group List";
}
@section ExtraHeadContent {
    <meta name="description" content="List of Mountain Group." />
}
@section customCss4Page{
    <link href="~/Content/themes/metr0n1c/assets/global/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="~/Content/themes/metr0n1c/assets/global/plugins/bootstrap-select/bootstrap-select.min.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/themes/metr0n1c/assets/global/plugins/select2/select2.css" />
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet box grey-cascade">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-cogs"></i>
                    @ViewBag.Title
                </div>
            </div>
            <div class="portlet-body flip-scroll">
                <div id="sample_1_wrapper" class="dataTables_wrapper no-footer">
                    @using (Html.BeginForm("Index", "MountainGroup"))
                    {
                        <div class="row">
                            <div class="col-md-3">
                                <div class="input-icon">
                                    <i class="fa fa-map-marker"></i>
                                    <input name="group" type="text" placeholder="Mountain Group" class="form-control" value="@ViewBag.Group">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="input-icon">
                                    <i class="fa fa-map-marker"></i>
                                    <input name="range" type="text" placeholder="Mountain Range" class="form-control" value="@ViewBag.Range">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <button id="filter" type="submit" class="btn grey-cascade" style="float: right;">@SYM.Localization.Resources.Global.Search  <i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    }
                    <div class="table-scrollable">
                        <table class="table table-striped table-bordered table-hover dataTable no-footer">
                            <thead>
                                <tr>
                                    <th>
                                        @Html.DisplayName("Group")
                                    </th>
                                    <th>
                                        @Html.DisplayName("Mountains")
                                    </th>
                                    <th>
                                        @Html.DisplayName("Routes")
                                    </th>
                                    <th>
                                        @Html.DisplayName("Mountain Range")
                                    </th>
                                    @*<th></th>*@
                                </tr>
                            </thead>
                            <tbody class="searchable">
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.mntnGroup_name)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.mountain.Count)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.route.Count)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.mntn_mountainrange.mntnRange_name)
                                        </td>
                                        @*<td>
                                            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
                                            @Html.ActionLink("Details", "Details", new { id = item.id }) |
                                            @Html.ActionLink("Delete", "Delete", new { id = item.id })
                                        </td>*@
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-md-5 col-sm-5">
                            <div class="dataTables_info" role="status" aria-live="polite">
                                Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
                            </div>
                        </div>
                        <div class="col-md-7 col-sm-7">
                            @Html.PagedListPager(Model, page => Url.Action("Index", new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
                        </div>
                        <!-- END PAGE CONTENT INNER -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@section scripts{
    <script type="text/javascript">
        function DeleteProduct(pid) {
            if (confirm("Do you want to delete product: " + pid)) {
                var data = { 'groupId': pid }
                $.post('/MountainGroup/Delete', data,
                function (data) {
                    if (data == true)
                        location = location.href;
                    else
                        alert("Could not delete");
                });
            }
        }
    </script>
}


